# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class EventsRequestInfo(Model):
    """The request info.

    :param name: The name of the request
    :type name: str
    :param url: The URL of the request
    :type url: str
    :param success: Indicates if the request was successful
    :type success: str
    :param duration: The duration of the request
    :type duration: float
    :param performance_bucket: The performance bucket of the request
    :type performance_bucket: str
    :param result_code: The result code of the request
    :type result_code: str
    :param source: The source of the request
    :type source: str
    :param id: The ID of the request
    :type id: str
    """

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'url': {'key': 'url', 'type': 'str'},
        'success': {'key': 'success', 'type': 'str'},
        'duration': {'key': 'duration', 'type': 'float'},
        'performance_bucket': {'key': 'performanceBucket', 'type': 'str'},
        'result_code': {'key': 'resultCode', 'type': 'str'},
        'source': {'key': 'source', 'type': 'str'},
        'id': {'key': 'id', 'type': 'str'},
    }

    def __init__(self, *, name: str=None, url: str=None, success: str=None, duration: float=None, performance_bucket: str=None, result_code: str=None, source: str=None, id: str=None, **kwargs) -> None:
        super(EventsRequestInfo, self).__init__(**kwargs)
        self.name = name
        self.url = url
        self.success = success
        self.duration = duration
        self.performance_bucket = performance_bucket
        self.result_code = result_code
        self.source = source
        self.id = id
